package cn.wise.sc.acquisition.business.service;

import cn.wise.im.common.http.R;
import cn.wise.sc.acquisition.business.entity.TEquipmentAccount;
import cn.wise.sc.acquisition.business.model.PageQuery;
import cn.wise.sc.acquisition.business.model.query.TEquipmentAccountQuery;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ztw
 * @since 2021-04-23
 */
public interface ITEquipmentAccountService extends IService<TEquipmentAccount> {

	R<IPage<TEquipmentAccount>> getPage(PageQuery pageQuery, String EquipmentName);

	R create(TEquipmentAccountQuery query);

	R update(TEquipmentAccountQuery query);

	R<TEquipmentAccount> getDetail(String EquipmentID);

	R<List<TEquipmentAccount>> getList();

	R<TEquipmentAccount> delete(String EquipmentID);



}
